# Get-RASPubRDSDesktop.md

## NAME

Get-RASPubRDSDesktop

## SYNOPSIS

Retrieves information about one or multiple published desktops.

## SYNTAX

**Get-RASPubRDSDesktop** \[\[-[Id](#id-string)] *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASPubRDSDesktop** \[\[-[Name](#name-string)] *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about one or multiple published desktops.

The cmdlet returns an array of objects of type PubRDSDesktop.

To see the complete list of object properties, use the Format-List cmdlet (see examples).

## PARAMETERS

## Name (string)

Published resource name.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Published resource ID.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[PubRDSDesktop](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubrdsdesktop)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASPubRDSDesktop | Format-List

Retrieves information about all available published desktops.

The Format-List cmdlet formats the display output to include all available desktop properties.\
\*\*---------- EXAMPLE 2 ----------

Get-RASPubRDSDesktop "My RDS Desktop"

Retrieves the information about a desktop specified by name.\
\*\*---------- EXAMPLE 3 ----------

Get-RASPubRDSDesktop -Id 11

Retrieves the information about a desktop specified by ID.

## RELATED LINKS

* [New-RASPubRDSDesktop](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-raspubrdsdesktop)
* [Set-RASPubRDSDesktop](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubrdsdesktop)
* [Remove-RASPubRDSDesktop](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubrdsdesktop)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubrdsdesktop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
